Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.portal.tools.content.controls
Enum ContentNodeControl.NodeType

    java.lang.Object
      java.lang.Enum<ContentNodeControl.NodeType>
          com.bea.portal.tools.content.controls.ContentNodeControl.NodeType

All Implemented Interfaces
  Serializable, Comparable<ContentNodeControl.NodeType>

Enclosing interface:
  ContentNodeControl

    public static enum ContentNodeControl.NodeType

extends Enum<ContentNodeControl.NodeType>

Enum Constant Summary
`CONTENT`
`HIERARCHY`
`NODE`

Method Summary
`boolean` | `equals(int nodeType)`
`int` | `nodeType()`
`static ContentNodeControl.NodeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ContentNodeControl.NodeType[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HIERARCHY

    public static final ContentNodeControl.NodeType HIERARCHY

### CONTENT

    public static final ContentNodeControl.NodeType CONTENT

### NODE

    public static final ContentNodeControl.NodeType NODE

Method Detail

### values

    public static final ContentNodeControl.NodeType[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static ContentNodeControl.NodeType valueOf(String name)

  Returns the enum constant of this type with the specified name.

### nodeType

    public final int nodeType()

### equals

    public final boolean equals(int nodeType)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved